import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { csv, format } from 'd3';
//import { message } from './message';

const csvUrl = 'https://raw.githubusercontent.com/CSSEGISandData/COVID-19/master/csse_covid_19_data/csse_covid_19_time_series/time_series_covid19_deaths_global.csv';
const sum = (accumulator, currentValue) => accumulator + currentValue;
const commaFormatter = format(',')
csv(csvUrl).then(data => {
                        const lastDateColumn = data.columns[data.columns.length - 1];
                        const deathTotal = data.map(d => +d[lastDateColumn]).reduce(sum, 0);
                        const message = commaFormatter(deathTotal) + '  deaths' + '\nas of ' + lastDateColumn; 
                        document.getElementById("message-container").textContent = message;
  								}); 

